Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003514 [JEDI VCL] 03 Donations minor always 2006-02-15 02:13 2006-05-04 01:16
Reporter ivan_ra View Status public  
Assigned To remkobonte
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0003514: Fixed JvInterpreter example (Pas2Rai2)
Description Pas2Rai2 example (from Examples\Ralib\Pas2Rai2) is "uncompilable", because can't find function "SubStr".
But this is not only example, this is key application for using custom functions, classes, ect. with JvInterpreter.
I have fixed this trouble plus add Form Storage support as it was in original RAI2 library. There also was wrong converted russian resources in version info. Now they are cleared.

And this is one unsolved problem. Pas2Rai2 application requeres "classes.ini" file. It placed in "Examples\Ralib\Pas2Rai2" folder, but compiled application is placed in BIN folder. So, application can't find "Classes.ini" file and works not completely right.
To fix this problem "Classes.ini" file must be copied into BIN directory on JVCL install or on compilation of all examples or manually (need some instructions for JVCL user)
Additional Information Fixed files are in archieve
Tags No tags attached.
Attached Files zip file icon Pas2Rai2.zip [^] (11,635 bytes) 2006-02-15 02:14
zip file icon Pas2Rai2.1.zip [^] (11,650 bytes) 2006-02-15 02:27
zip file icon Pas2Rai2.2.zip [^] (11,658 bytes) 2006-03-14 23:47

- Relationships
has duplicate 0003582resolvedremkobonte The ralib example can't compile 

-  Notes
(0008560)
ivan_ra (developer)
2006-02-15 02:27
edited on: 2006-03-14 23:47

Ups. Fix was uncomplete. Complete is pas2rai2.2.zip

(0008705)
ivan_ra (developer)
2006-03-20 09:19

More about 2'nd problem:
Other Interpreter examples (RaInterpreter, RaInterpreterDynamicLoad, RaInterpreterEndUser) will not work too - all of them require .ini files and subfolders from they source path.

RaInterpreterMDI is standard MDI application illustrating old and already fixed bug (RaLib v1.61). There is no need to public this example
(0009084)
obones (administrator)
2006-04-13 02:53

Remko, any news?
(0009252)
ivan_ra (developer)
2006-05-04 01:16

It seems already fixed in SVN. MDI application also illustrates 0003666

- Issue History
Date Modified Username Field Change
2006-02-15 02:13 ivan_ra New Issue
2006-02-15 02:14 ivan_ra File Added: Pas2Rai2.zip
2006-02-15 02:27 ivan_ra Note Added: 0008560
2006-02-15 02:27 ivan_ra File Added: Pas2Rai2.1.zip
2006-03-14 23:47 ivan_ra File Added: Pas2Rai2.2.zip
2006-03-14 23:47 ivan_ra Note Edited: 0008560
2006-03-16 11:07 obones Relationship added related to 0003582
2006-03-20 09:19 ivan_ra Note Added: 0008705
2006-03-24 14:25 remkobonte Status new => assigned
2006-03-24 14:25 remkobonte Assigned To => remkobonte
2006-03-24 15:28 remkobonte Relationship replaced has duplicate 0003582
2006-04-13 02:53 obones Note Added: 0009084
2006-04-13 02:53 obones Status assigned => feedback
2006-05-04 01:16 ivan_ra Status feedback => resolved
2006-05-04 01:16 ivan_ra Resolution open => fixed
2006-05-04 01:16 ivan_ra Note Added: 0009252


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker